Subject: Re: [manet] Benoit Claise's Discuss on draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)

From: Benoit Claise <[email-masked]>
Date: Fri, 3 Jul 2015 08:00:29 +0200

Dear all,
>
> *To the Manet author of the comments: *
>
> To help with the comments:  I've pulled them up.
>
> >>The suggestions for tests made in the Ops-Dir review are great!
>
> >>However, I don¹t believe that such detail belongs in this document,
>
> >>where the main purpose is to document the extension.  In fact, I think
>
> >>the suggestions belong more as part of a test plan (used by
>
> >>implementors ‹ similar maybe to the work done in bmwg, for example),
>
> >>which seems to be in line with the
>
> >>comments: (Sue wrote) ³The recommended tests in major concern 1-4 could
>
> >>be created in a separate draft.²
>
> *Let's go to the higher level purpose* rather than the "not my WG 
> charter" reasoning.
>
> If you are running an experiment with this protocol, you need to have 
> specific details enough to determine if this experimental protocol is 
> a success. Otherwise, you will continue to have the OLSR vs. AODV-v2, 
> or vague review on RFC5444 additions to the protocol.  This ends up in 
> emotional debate without substantial experimental results to back it 
> up.  Emotional debates recycle. My suggestions aim at providing enough 
> detail to settle these arguments with experimental results.
>
Exactly.
As example, see Status of This Document and Document Status in RFC 7499 
and 7360

Regards, Benoit
>
>  MANET has lots of exciting work to do in the advent of 5G, 802.11ac, 
> and other  mobile network changes.
>
> As you noted, the reviews on operational portion of this work points 
> out how these experimental results are critical to designing an 
> appropriate operational interface.
>
> So.. bottom line... Staying "not in my charter" and asking to pass 
> this document on without settling on a mechanism to fix it - is a 
> mistake.  Decide how the MANET WG is going to determine this is a 
> success and put together a plan.  BMWG usually does device 
> compliance.  If you want aid on a network-compliance test case, they 
> will work with  and review the document. However, the real expertise 
> is still in MANET.
>
> ON IANA ... That's covered by Barry's discuss.
>
> Sue
>
> PS – If you are tired of the document and debate, as a WG chair, I 
> understand.  However, the value of the reviews is a fresh set of eyes 
> and emotions.
>
> -----Original Message-----
> From: Alvaro Retana (aretana) [mailto:[email-masked]]
> Sent: Thursday, June 25, 2015 11:39 AM
> To: Benoit Claise (bclaise); Susan Hares
> Cc: [email-masked]; [email-masked]; 
> [email-masked]; The IESG; [email-masked]
> Subject: Re: Benoit Claise's Discuss on 
> draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)
>
> Benoit/Sue:
>
> Any comments?
>
> Thanks!
>
> Alvaro.
>
> On 6/15/15, 4:02 PM, "Alvaro Retana (aretana)" <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
> >On 5/28/15, 9:26 AM, "Benoit Claise (bclaise)" <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
> >
>
> >[Because the authors didn¹t have time to review the ops-dir comments
>
> >before the telechat, or before they became a DISCUSS, I¹m explicitly
>
> >cc¹ing it here as well as Sue.]
>
> >
>
> >Benoit:
>
> >
>
> >Hi!
>
> >
>
> >Sorry it took me a while to get to this..
>
> >
>
> >>----------------------------------------------------------------------
>
> >>DISCUSS:
>
> >>----------------------------------------------------------------------
>
> >>
>
> >>The multiple points, brought up by Sue part of her OPS-DIR review,
>
> >>deserve a DISCUSS. Let's engage in the discussion.
>
> >. . .
>
> >
>
> >
>
> >>Summary of Comments:
>
> >>
>
> >>My comments have 6 major issues, and a set of editorial changes.  Five
>
> >>of my major points have to do with adding more details to the draft to
>
> >>judge the experiment valuable. One way to resolve these comments is
>
> >>to create document providing details on the test that will be run.  A
>
> >>second way to resolve these comments on experiment is to provide
>
> >>additional high-level guidance in this document.
>
> >
>
> >Note that section 1.1 (Motivation and Experimentation) already provides
>
> >high-level guidance of the type of information to be evaluated.
>
> >
>
> >   While general experiences with this protocol extension, including
>
> >   interoperability of implementations, are encouraged, specific
>
> >   information would be particularly appreciated on the following areas:
>
> >
>
> >   o  Operation in a network that contains both routers implementing
>
> >      this extension, and routers implementing only [RFC7181], in
>
> >      particular are there any unexpected interactions that can break
>
> >      the network?
>
> >
>
> >   o  Operation in realistic deployments, and details thereof, including
>
> >      in particular indicating how many concurrent topologies were
>
> >      required.
>
> >
>
> >   A broader issue that applies to unextended [RFC7181] as well as this
>
> >   extension (and potentially to other MANET routing protocols) is which
>
> >   link metric types are useful in a MANET, and how to establish the
>
> >   metrics to associate with a given link.  While this issue is not only
>
> >   related to this extension, the ability for an OLSRv2 network to
>
> >   maintain different concurrent link metrics may facilitate both
>
> >   experiments with different link metric types, ways to measure them,
>
> >   etc. and may also allow experimentation with link metric types that
>
> >   are not compromises to handle multiple traffic types.
>
> >
>
> >
>
> >Clearly the focus is on ³running code²: operation in real deployments
>
> >and mixed environments.
>
> >
>
> >
>
> >The suggestions for tests made in the Ops-Dir review are great!
>
> >However, I don¹t believe that such detail belongs in this document,
>
> >where the main purpose is to document the extension.  In fact, I think
>
> >the suggestions belong more as part of a test plan (used by
>
> >implementors ‹ similar maybe to the work done in bmwg, for example),
>
> >which seems to be in line with the
>
> >comments: (Sue wrote) ³The recommended tests in major concern 1-4 could
>
> >be created in a separate draft.²
>
> >
>
> >It is not in the manet WGs charter to produce test plans.  In order to
>
> >not loose Sue¹s valuable input, I suggest we keep them in the WG¹s wiki
>
> >‹ which will allow for other test cases to be added, details included,
>
> >results reflected, etc.
>
> >
>
> >
>
> >. . .
>
> >>Major concern 5:  Experiments should drive to create operational
>
> >>guidelines for deployment, configuration knobs, and use cases (ADOV-2,
>
> >>OLSR-v2, MT-OLSR-v2)
>
> >
>
> >Completely agree!  Implementation and operational experience (not just
>
> >experiments) should in fact result in that type of guidelines.
>
> >
>
> >Again, the details are not within the scope of this document..and
>
> >guidance is already given in 1.1 about the use in real networks.
>
> >
>
> >Note that this comment mentions not just the extensions proposed, but
>
> >the base protocol and even AODVv2. All these guidelines are important
>
> >from an operations point of view, but shouldn¹t be tied to this document.
>
> >
>
> >Aside: the MANET WG is in process of rechartering.  This type of
>
> >suggestions should be presented for discussion.
>
> >
>
> >
>
> >. . .
>
> >>Major 6: The IANA section does not answer all the IANA questions.
>
> >>
>
> >>It has most of the information, but I think it is not up to the latest
>
> >>IANA format and information. Barry Leiba and others have noted that the
>
> >>RFC 7181 and RFC7188 do not match this IANA section.  Rather than
>
> >>repeat these comments, I will simple state the data needs to be
>
> >>consistent and the format match IANA¹s comments.
>
> >
>
> >Barry¹s comment has been solved and will be reflected in an update.
>
> >
>
> >The authors have been talking to IANA directly.  We are now waiting for
>
> >review from the MANET registry experts (which is the one open item with
>
> >IANA).
>
> >
>
> >Thanks!
>
> >
>
> >Alvaro.
>
> >
>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Fri, 3 Jul 2015 08:43:11 +0000

Benoit

Please note that Sue’s attribution is incorrect, although addressed to “the Manet author of the comments” these were actually comments from Alvaro, our AD. We will wait for you and he to have this discussion. (We may in the meanwhile publish an -06 that addresses any other outstanding issues.)

Christopher

--
Christopher Dearlove
Senior Principal Engineer
BAE Systems Applied Intelligence
__________________________________________________________________________

T:  +44 (0)1245 242194  |  E: [email-masked]<mailto:[email-masked]>

BAE Systems Applied Intelligence, Chelmsford Technology Park, Great Baddow, Chelmsford, Essex CM2 8HN.
www.baesystems.com/ai<http://www.baesystems.com/ai>
BAE Systems Applied Intelligence Limited
Registered in England & Wales No: 01337451
Registered Office: Surrey Research Park, Guildford, Surrey, GU2 7YP

From: Benoit Claise [mailto:[email-masked]]
Sent: 03 July 2015 07:00
To: Susan Hares; 'Alvaro Retana (aretana)'
Cc: [email-masked]; [email-masked]; [email-masked]; 'The IESG'; [email-masked]
Subject: Re: Benoit Claise's Discuss on draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Consider carefully whether you should click on any links, open any attachments or reply.
For information regarding Red Flags that you can look out for in emails you receive, click here<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Red%20Flags.pdf>.
If you feel the email is suspicious, please follow this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>.
Dear all,

To the Manet author of the comments:

>>be created in a separate draft.²

Let's go to the higher level purpose rather than the "not my WG charter" reasoning.

If you are running an experiment with this protocol, you need to have specific details enough to determine if this experimental protocol is a success.  Otherwise, you will continue to have the OLSR vs. AODV-v2, or vague review on RFC5444 additions to the protocol.  This ends up in emotional debate without substantial experimental results to back it up.  Emotional debates recycle. My suggestions aim at providing enough detail to settle these arguments with experimental results.
Exactly.
As example, see Status of This Document and Document Status in RFC 7499 and 7360

Regards, Benoit

 MANET has lots of exciting work to do in the advent of 5G, 802.11ac, and other  mobile network changes.

As you noted, the reviews on operational portion of this work points out how these experimental results are critical to designing an appropriate operational interface.

So.. bottom line... Staying "not in my charter" and asking to pass this document on without settling on a mechanism to fix it - is a mistake.  Decide how the MANET WG is going to determine this is a success and put together a plan.  BMWG usually does device compliance.  If you want aid on a network-compliance test case, they will work with  and review the document. However, the real expertise is still in MANET.

Sue

PS – If you are tired of the document and debate, as a WG chair, I understand.  However, the value of the reviews is a fresh set of eyes and emotions.

-----Original Message-----
From: Alvaro Retana (aretana) [mailto:[email-masked]]
Sent: Thursday, June 25, 2015 11:39 AM
To: Benoit Claise (bclaise); Susan Hares
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; The IESG; [email-masked]<mailto:[email-masked]>
Subject: Re: Benoit Claise's Discuss on draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)

Benoit/Sue:

Any comments?

Thanks!

Alvaro.

On 6/15/15, 4:02 PM, "Alvaro Retana (aretana)" <[email-masked]<mailto:[email-masked]>> wrote:

>On 5/28/15, 9:26 AM, "Benoit Claise (bclaise)" <[email-masked]<mailto:[email-masked]>> wrote:

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Benoit Claise <[email-masked]>
Date: Fri, 3 Jul 2015 10:49:18 +0200

On 03/07/2015 10:43, Dearlove, Christopher (UK) wrote:
>
> Benoit
>
> Please note that Sue’s attribution is incorrect, although addressed to 
> “the Manet author of the comments” these were actually comments from 
> Alvaro, our AD. We will wait for you and he to have this discussion. 
> (We may in the meanwhile publish an -06 that addresses any other 
> outstanding issues.)
>
Ok, please do push a new version. I believe Alvaro is out of the office 
for some time.

Regards, Benoit
> *-- *
> *Christopher Dearlove
> **__________________________________________________________________________
> *
> *T*:  +44 (0)1245 242194  | *E: [email-masked] 
> <mailto:[email-masked]>
>
> www.baesystems.com/ai <http://www.baesystems.com/ai>
>
> *From:*Benoit Claise [mailto:[email-masked]]
> *Sent:* 03 July 2015 07:00
> *To:* Susan Hares; 'Alvaro Retana (aretana)'
> *Cc:* [email-masked]; [email-masked]; 
> [email-masked]; 'The IESG'; [email-masked]
> *Subject:* Re: Benoit Claise's Discuss on 
> **** WARNING ****
> /This message originates from outside our organisation, either from an 
> external partner or the internet.//
> /Consider carefully whether you should click on any links, open any 
> attachments or reply./
> /For information regarding //*/Red Flags/*/that you can look out for 
> in emails you receive, click here 
> <http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Red%20Flags.pdf>.//
> /If you feel the email is suspicious, please follow this process 
> <http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>.//
>
> Dear all,
>
>     If you are running an experiment with this protocol, you need to
>     have specific details enough to determine if this experimental
>     protocol is a success. Otherwise, you will continue to have the
>     OLSR vs. AODV-v2, or vague review on RFC5444 additions to the
>     protocol.  This ends up in emotional debate without substantial
>     experimental results to back it up.  Emotional debates recycle. My
>     suggestions aim at providing enough detail to settle these
>     arguments with experimental results.
>
> Exactly.
> Cc: [email-masked] 
> <mailto:[email-masked]>; 
> [email-masked] <mailto:[email-masked]>; [email-masked] 
> <mailto:[email-masked]>; The IESG; [email-masked] 
> <mailto:[email-masked]>

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Fri, 3 Jul 2015 08:15:38 -0400

Hi all,

If help is needed on lab testing, very often folks can find
people in BMWG who are willing, provided they have the needed
protocol expertise. Please allow me to clarify that BMWG’s
work usually begins when correct function and compliance
has been demonstrated, and it’s time to assess how fast,
how many, and other specific performance attributes.

regards,
Al

From: OPS-DIR [mailto:[email-masked]] On Behalf Of Benoit Claise
Sent: Friday, July 03, 2015 4:49 AM
To: Dearlove, Christopher (UK); Susan Hares; 'Alvaro Retana (aretana)'
Cc: [email-masked]; [email-masked]; [email-masked]; 'The IESG'; [email-masked]
Subject: Re: [OPS-DIR] Benoit Claise's Discuss on draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)

Please note that Sue’s attribution is incorrect, although addressed to “the Manet author of the comments” these were actually comments from Alvaro, our AD. We will wait for you and he to have this discussion. (We may in the meanwhile publish an -06 that addresses any other outstanding issues.)
Ok, please do push a new version. I believe Alvaro is out of the office for some time.

Regards, Benoit

Christopher

From: Benoit Claise [mailto:[email-masked]]
Sent: 03 July 2015 07:00
To: Susan Hares; 'Alvaro Retana (aretana)'
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; 'The IESG'; [email-masked]<mailto:[email-masked]>
Subject: Re: Benoit Claise's Discuss on draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)

*** WARNING ***

Regards, Benoit

Sue

-----Original Message-----
From: Alvaro Retana (aretana) [mailto:[email-masked]]
Sent: Thursday, June 25, 2015 11:39 AM
To: Benoit Claise (bclaise); Susan Hares
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; The IESG; [email-masked]<mailto:[email-masked]>
Subject: Re: Benoit Claise's Discuss on draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)

Benoit/Sue:

Any comments?

Thanks!

Alvaro.

---

From: "Susan Hares" <[email-masked]>
Date: Fri, 3 Jul 2015 17:20:51 -0400

Christopher:

You are correct.  Alvaro and I have been exchanging email on the DISCUSS point.  I am still waiting for his next email exchange.  My disagreement with Alvaro is that the draft belongs in BMWG.  I think the expertise for it lies in MANET and it should be accepted as a MANET draft with co-review on BMWG. 

On the positive note, would you like help writing up the details of the tests?  Perhaps we can meet at IETF and sketch out the plans.  

Sue 

From: Dearlove, Christopher (UK) [mailto:[email-masked]] 
Sent: Friday, July 03, 2015 4:43 AM
To: Benoit Claise; Susan Hares; 'Alvaro Retana (aretana)'
Cc: [email-masked]; [email-masked]; [email-masked]; 'The IESG'; [email-masked]
Subject: RE: Benoit Claise's Discuss on draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)

Benoit

Christopher

-- 

Christopher Dearlove

T:  +44 (0)1245 242194  |  E: [email-masked]

BAE Systems Applied Intelligence, Chelmsford Technology Park, Great Baddow, Chelmsford, Essex CM2 8HN.
 <http://www.baesystems.com/ai> www.baesystems.com/ai

 

 

*** WARNING ***

This message originates from outside our organisation, either from an external partner or the internet.
Consider carefully whether you should click on any links, open any attachments or reply.
For information regarding Red Flags that you can look out for in emails you receive, click here <http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Red%20Flags.pdf> .
If you feel the email is suspicious, please follow this process <http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf> .

Dear all,

Exactly.

Regards, Benoit 

Sue 

-----Original Message-----
From: Alvaro Retana (aretana) [mailto:[email-masked]] 
Sent: Thursday, June 25, 2015 11:39 AM
To: Benoit Claise (bclaise); Susan Hares
Cc: [email-masked]; [email-masked]; [email-masked]; The IESG; [email-masked]
Subject: Re: Benoit Claise's Discuss on draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)

Benoit/Sue:

Any comments?

Thanks!

Alvaro.

On 6/15/15, 4:02 PM, "Alvaro Retana (aretana)" < <mailto:[email-masked]> [email-masked]> wrote:

>On 5/28/15, 9:26 AM, "Benoit Claise (bclaise)" < <mailto:[email-masked]> [email-masked]> wrote:

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Mon, 6 Jul 2015 08:56:08 +0000

Sue

I’m afraid I agree with Alvaro that this level of detail is inappropriate in the draft. I don’t even understand the comment that “the draft belongs in BMWG”. The draft belongs in MANET.

One of the issues that your approach would raise is that it would become harder to publish an Experimental draft than a Proposed Standard.

I won’t be in Prague. I had at one point hoped to be, but a combination of circumstances has ruled that out.

Christopher

From: Susan Hares [mailto:[email-masked]]
Sent: 03 July 2015 22:21
To: Dearlove, Christopher (UK); 'Benoit Claise'; 'Alvaro Retana (aretana)'
Cc: [email-masked]; [email-masked]; [email-masked]; 'The IESG'; [email-masked]
Subject: RE: Benoit Claise's Discuss on draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)

*** WARNING ***

Sue

Benoit

Christopher

*** WARNING ***

Regards, Benoit

Sue

-----Original Message-----
From: Alvaro Retana (aretana) [mailto:[email-masked]]
Sent: Thursday, June 25, 2015 11:39 AM
To: Benoit Claise (bclaise); Susan Hares
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; The IESG; [email-masked]<mailto:[email-masked]>
Subject: Re: Benoit Claise's Discuss on draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)

Benoit/Sue:

Any comments?

Thanks!

Alvaro.

---

From: Ulrich Herberg <[email-masked]>
Date: Mon, 6 Jul 2015 09:18:55 -0700

+1

Regards
Ulrich

On Mon, Jul 6, 2015 at 1:56 AM, Dearlove, Christopher (UK)
<[email-masked]> wrote:
> Sue
>
>
>
> I’m afraid I agree with Alvaro that this level of detail is inappropriate in
> the draft. I don’t even understand the comment that “the draft belongs in
> BMWG”. The draft belongs in MANET.
>
>
>
> One of the issues that your approach would raise is that it would become
> harder to publish an Experimental draft than a Proposed Standard.
>
>
>
> www.baesystems.com/ai
> Subject: RE: Benoit Claise's Discuss on
> For information regarding Red Flags that you can look out for in emails you
> receive, click here.
> If you feel the email is suspicious, please follow this process.
>
> Christopher:
>
>
>
> You are correct.  Alvaro and I have been exchanging email on the DISCUSS
> point.  I am still waiting for his next email exchange.  My disagreement
> with Alvaro is that the draft belongs in BMWG.  I think the expertise for it
> lies in MANET and it should be accepted as a MANET draft with co-review on
> BMWG.
>
>
>
> On the positive note, would you like help writing up the details of the
> tests?  Perhaps we can meet at IETF and sketch out the plans.
>
>
>
> Sue
>
>
>
> Subject: RE: Benoit Claise's Discuss on
> Please note that Sue’s attribution is incorrect, although addressed to “the
> Manet author of the comments” these were actually comments from Alvaro, our
> AD. We will wait for you and he to have this discussion. (We may in the
> meanwhile publish an -06 that addresses any other outstanding issues.)
>
>
>
> Christopher
>
>
>
> --
>
> Christopher Dearlove
> www.baesystems.com/ai
> For information regarding Red Flags that you can look out for in emails you
> receive, click here.
> If you feel the email is suspicious, please follow this process.
>
> Dear all,
>
> specific details enough to determine if this experimental protocol is a
> success.  Otherwise, you will continue to have the OLSR vs. AODV-v2, or
> vague review on RFC5444 additions to the protocol.  This ends up in
> emotional debate without substantial experimental results to back it up.
> Emotional debates recycle. My suggestions aim at providing enough detail to
> settle these arguments with experimental results.
>
> Exactly.
> As you noted, the reviews on operational portion of this work points out how
> these experimental results are critical to designing an appropriate
> operational interface.
>
>
>
> So.. bottom line... Staying "not in my charter" and asking to pass this
> document on without settling on a mechanism to fix it - is a mistake.
> Decide how the MANET WG is going to determine this is a success and put
> together a plan.  BMWG usually does device compliance.  If you want aid on a
> network-compliance test case, they will work with  and review the document.
> However, the real expertise is still in MANET.
>
>
>
> understand.  However, the value of the reviews is a fresh set of eyes and
> emotions.
>
>
>
> On 6/15/15, 4:02 PM, "Alvaro Retana (aretana)" <[email-masked]> wrote:
>
>
>
>>On 5/28/15, 9:26 AM, "Benoit Claise (bclaise)" <[email-masked]> wrote:
>
>>
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>

---

From: "Susan Hares" <[email-masked]>
Date: Mon, 6 Jul 2015 12:27:48 -0400

Ulrich and Chris: 

Thank you for your comments. You will receive additional email regarding this topic after the IETF deadline. 

Sue 

-----Original Message-----
From: Ulrich Herberg [mailto:[email-masked]] 
Sent: Monday, July 06, 2015 12:19 PM
To: Dearlove, Christopher (UK)
Cc: Susan Hares; Benoit Claise; Alvaro Retana (aretana); [email-masked]; [email-masked]; [email-masked]; The IESG; [email-masked]
Subject: Re: [manet] Benoit Claise's Discuss on draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)

+1

Regards
Ulrich

On Mon, Jul 6, 2015 at 1:56 AM, Dearlove, Christopher (UK) <[email-masked]> wrote:
> Sue
>
>
>
> I’m afraid I agree with Alvaro that this level of detail is 
> inappropriate in the draft. I don’t even understand the comment that 
> “the draft belongs in BMWG”. The draft belongs in MANET.
>
>
>
> One of the issues that your approach would raise is that it would 
> become harder to publish an Experimental draft than a Proposed Standard.
>
>
>
> I won’t be in Prague. I had at one point hoped to be, but a 
> combination of circumstances has ruled that out.
>
>
>
> Christopher
>
>
>
> --
>
> Christopher Dearlove
> BAE Systems Applied Intelligence Limited Registered in England & Wales 
> No: 01337451
>
> For information regarding Red Flags that you can look out for in 
> emails you receive, click here.
> You are correct.  Alvaro and I have been exchanging email on the 
> DISCUSS point.  I am still waiting for his next email exchange.  My 
> disagreement with Alvaro is that the draft belongs in BMWG.  I think 
> the expertise for it lies in MANET and it should be accepted as a 
> MANET draft with co-review on BMWG.
>
>
>
> On the positive note, would you like help writing up the details of 
> the tests?  Perhaps we can meet at IETF and sketch out the plans.
>
>
>
> Sue
>
>
>
> BAE Systems Applied Intelligence Limited Registered in England & Wales 
> No: 01337451
>
> For information regarding Red Flags that you can look out for in 
> emails you receive, click here.
> Emotional debates recycle. My suggestions aim at providing enough 
> As example, see Status of This Document and Document Status in RFC 
> 7499 and
> 7360
>
> Regards, Benoit
>
> this document on without settling on a mechanism to fix it - is a mistake.
> Decide how the MANET WG is going to determine this is a success and 
> put together a plan.  BMWG usually does device compliance.  If you 
> want aid on a network-compliance test case, they will work with  and review the document.

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Mon, 6 Jul 2015 16:30:19 +0000

As far as I am concerned, the matter is currently in the hands of Alvaro and Benoit (and any other interested ADs).

-----Original Message-----
From: Susan Hares [mailto:[email-masked]] 
Sent: 06 July 2015 17:28
To: 'Ulrich Herberg'; Dearlove, Christopher (UK)
Cc: 'Benoit Claise'; 'Alvaro Retana (aretana)'; [email-masked]; [email-masked]; [email-masked]; 'The IESG'; [email-masked]
Subject: RE: [manet] Benoit Claise's Discuss on draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)

----------------------! WARNING ! ---------------------- This message originates from outside our organisation, either from an external partner or from the internet.
Consider carefully whether you should click on any links, open any attachments or reply.
Follow the 'Report Suspicious Emails' link on IT matters for instructions on reporting suspicious email messages.
--------------------------------------------------------

Ulrich and Chris: 

Sue 

-----Original Message-----
From: Ulrich Herberg [mailto:[email-masked]]
Sent: Monday, July 06, 2015 12:19 PM
To: Dearlove, Christopher (UK)
Cc: Susan Hares; Benoit Claise; Alvaro Retana (aretana); [email-masked]; [email-masked]; [email-masked]; The IESG; [email-masked]
Subject: Re: [manet] Benoit Claise's Discuss on draft-ietf-manet-olsrv2-multitopology-05: (with DISCUSS)

+1

Regards
Ulrich

---

From: Benoit Claise <[email-masked]>
Date: Wed, 8 Jul 2015 14:46:45 +0200

Dear all,

> As far as I am concerned, the matter is currently in the hands of Alvaro and Benoit (and any other interested ADs).
Alvaro and I were supposed to have a 1:1 on this topic some time ago, 
but was canceled due to a doctor appointment. I believe that Alvaro is 
still off or traveling.

So let me try to summarize my view with a couple of high level points:
- I'm with Sue here: we need to understand how/when this experiment will 
be successful.
- I'm not specifically requesting the complete and precise series of 
test (a la BMWG, even if we know that BMWG is more about benchmarking)
- "Just approve this document, and we will have another future draft" is 
not appropriate. How/when this experiment will be successful must be 
linked to this document. And btw, I've seen that argument from MANET in 
the past (see 
https://datatracker.ietf.org/doc/rfc6779/ballot/#benoit-claise) and I'm 
still waiting for that draft...

So maybe the way out of this is to list the tests in this draft 
appendix  (the tests mentioned by Sue and maybe some others), basically 
what to pay attention to be able to conclude whether or not the 
experiment is successful

Regards, Benoit